# -*- coding: utf-8 -*-
# Part of Odoo. See LICENSE file for full copyright and licensing details.

from odoo import api, fields, models, _
from odoo.exceptions import UserError


class Opportunity2Quotation(models.TransientModel):
    _inherit = 'crm.quotation.partner'

    action = fields.Selection([
        ('create', 'Create a new client'),
        ('exist', 'Link to an existing client'),
        ('nothing', 'Do not link to a client')
    ], string='Quotation Client', required=True)
    lead_id = fields.Many2one('crm.lead', "Associated Lead", required=True)
    partner_id = fields.Many2one('res.partner', 'Client')




